Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005660OCamlOCaml runtime systempublic2012-06-21 15:312012-07-29 18:53
Reporterdb 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.12.1 
Target VersionFixed in Version4.00.0 
Summary0005660: byterun/startup.c lacks code checksum initialization
DescriptionIt's needed for Marshal.Closures to be safe. Without is Marshal.from_* functions just crash instead of raising (Failure "input_value: code mismatch") if the code is changed.

The patch is attached.
TagsNo tags attached.
Attached Filespatch file icon code-md5.patch [^] (791 bytes) 2012-06-21 15:31 [Show Content]

- Relationships

-  Notes
(0007604)
frisch (developer)
2012-06-21 19:28

Thanks, well spotted!

However, caml_code_md5 does not seem to be used any more (trunk and 4.00 branches). Cf this commit:

http://caml.inria.fr/cgi-bin/viewvc.cgi?view=revision&revision=12229 [^]

Can you check if the problem is still present on those branches (and if so, maybe update your patch)?


Alain
(0007830)
xleroy (administrator)
2012-07-29 18:53

After reviewing the new code checksumming infrastructure introduced by commit 12229, I am pretty sure the issue is already fixed in 4.00.0 and in trunk. I'm marking this PR as resolved; feel free to reopen if the problem is still there.

- Issue History
Date Modified Username Field Change
2012-06-21 15:31 db New Issue
2012-06-21 15:31 db File Added: code-md5.patch
2012-06-21 19:28 frisch Note Added: 0007604
2012-06-21 19:28 frisch Assigned To => frisch
2012-06-21 19:28 frisch Status new => feedback
2012-07-06 15:21 doligez Target Version => 4.01.0+dev
2012-07-12 05:55 frisch Assigned To frisch =>
2012-07-27 12:52 frisch Category OCaml general => OCaml runtime system
2012-07-29 18:53 xleroy Note Added: 0007830
2012-07-29 18:53 xleroy Status feedback => resolved
2012-07-29 18:53 xleroy Resolution open => fixed
2012-07-29 18:53 xleroy Fixed in Version => 4.00.0
2012-07-29 18:53 xleroy Target Version 4.01.0+dev =>


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker